For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
        • POSTCreate Test Suite Run
        • GETRetrieve Test Suite Run
        • GETList Test Suite Executions
LogoLogo
BlogLog InRequest Demo
Client SDKTest SuitesTest Suite Runs

Retrieve Test Suite Run

Beta
GET
https://api.vellum.ai/v1/test-suite-runs/:id
GET
/v1/test-suite-runs/:id
1import requests
2
3url = "https://api.vellum.ai/v1/test-suite-runs/id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "id": "string",
3 "created": "2024-01-15T09:30:00Z",
4 "test_suite": {
5 "id": "string",
6 "history_item_id": "string",
7 "label": "string"
8 },
9 "state": "QUEUED",
10 "exec_config": {
11 "type": "DEPLOYMENT_RELEASE_TAG",
12 "data": {
13 "deployment_id": "string",
14 "tag": "LATEST"
15 },
16 "test_case_ids": [
17 "string"
18 ]
19 },
20 "progress": {
21 "number_of_requested_test_cases": 1,
22 "number_of_completed_test_cases": 1
23 }
24}
Retrieve a specific Test Suite Run by ID
Was this page helpful?
Previous

List Test Suite Executions

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this test suite run.

Headers

X-API-VersionstringOptional

Response

idstringformat: "uuid"
createdstringformat: "date-time"
test_suiteobject
stateenum

The current state of this run

  • QUEUED - Queued
  • RUNNING - Running
  • COMPLETE - Complete
  • FAILED - Failed
  • CANCELLED - Cancelled
Allowed values:
exec_configobject or null
Configuration that defines how the Test Suite should be run
progressobject